<script >
export default {
  data () {
    return {
      height: '0px',
      cacheHeight: {
        'full': '0px',
        'notFull': '0px'
      }
    }
  },
  mounted () {
    this.computeHeight()
  },
  methods: {
    computeHeight () {
      const height = document.body.clientHeight - 105
      this.height = `${height - 1}px`
      window.requestAnimationFrame(this.computeHeight)
    }
  },
  computed: {
    style () {
      return {
        height: this.height
      }
    }
  }
}
</script>

<template >
  <div class="page-full-content" :style="style">
    <slot />
  </div>
</template>

<style scoped lang='less'>
.page-full-content {
  margin: -24px;
  position: relative;
}
/deep/ .ant-layout-footer {
  display: none;
}
</style>
